          section   TEXT

          xdef      _fi2_allp
          xref      __usefi2
          xref      __freefi2

* Prototype: int fi2_allp(void * act_array, int act_idx,\
*                         FI2ACTION_t * act_bloc);

_fi2_allp MOVEM.L   D3/A2/A4,-(SP)                Save the context.
          MOVE.L    #'PARM',D2                    Extension to be used.
          JSR       __usefi2                      Use it.
          BNE.S     FI2ALLP1                      If error, return now.
          LEA       16(SP),A0                     Pointer on first parameter.
          MOVEA.L   (A0)+,A1                      Pointer on the array.
          MOVE.L    (A0)+,D2                      Index of considered action.
          MOVEQ     #5,D1                         Code to get action name.
          JSR       (A4)                          Call the extension.
          BNE.S     FI2ALLP2                      If error, return now.
          MOVEA.L   (A0),A0                       Address of act_bloc structure.
          MOVE.L    D3,(A0)+                      Store action type and flags.
          MOVE.L    A2,(A0)+                      Store the action name address.
          MOVEQ     #4,D1                         Code for mandat./forbid. job.
          JSR       (A4)                          Call the extension.
          BNE.S     FI2ALLP2                      If error, return now.
          MOVE.L    A2,(A0)+                      Store mand/forb job name addr.
          MOVEQ     #0,D1                         Code for thing/job name.
          JSR       (A4)                          Call the extension.
          BNE.S     FI2ALLP2                      If error, return now.
          MOVE.L    A2,(A0)+                      Store the thing/job name addr.
          MOVEQ     #1,D1                         Code for executable file name.
          JSR       (A4)                          Call the extension.
          BNE.S     FI2ALLP2                      If error, return now.
          MOVE.L    A2,(A0)+                      Store exec file name address.
          MOVEQ     #3,D1                         Code for the command string.
          JSR       (A4)                          Call the extension.
          BNE.S     FI2ALLP2                      If error, return now.
          MOVE.L    A2,(A0)                       Store the command string addr.
FI2ALLP2  JSR       __freefi2                     Free the extension thing.
FI2ALLP1  MOVEM.L   (SP)+,D3/A2/A4                Restore the context.
          RTS                                     Return to calling function.

          end
