          section   TEXT

          xdef      _fi2_load
          xref      __usefi2
          xref      __freefi2

* Prototype: int fi2_load(chanid_t data_file, void ** data_bloc, \
*                         void ** old_data);

_fi2_load MOVEM.L   D3/A2/A4,-(SP)                Save the context.
          MOVE.L    #'LOAD',D2                    Extension to be used.
          JSR       __usefi2                      Use it.
          BNE.S     FI2LOAD1                      If error, return now.
          MOVEA.L   16(SP),A0                     Channel id of data file.
          SUBA.L    A1,A1                         No imposed load address.
          MOVEQ     #-1,D2                        Mandatory.
          JSR       (A4)                          Call the extension.
          BNE.S     FI2LOAD2                      If error, return now.
          LEA       20(SP),A4                     Address of secon parameter.
          MOVEA.L   (A4)+,A0                      Ptr on "data_bloc" variable.
          MOVE.L    A1,(A0)                       Store the new address of data.
          MOVEA.L   (A4),A0                       Ptr on "old_data" variable.
          MOVE.L    A2,(A0)                       Store the old address of data.
FI2LOAD2  JSR       __freefi2                     Free the extension thing.
FI2LOAD1  MOVEM.L   (SP)+,D3/A2/A4                Restore the context.
          RTS                                     Return to calling function.

          end
